#include <QApplication>
#include <QCommandLineParser>

#include "MainWindow.h"

using namespace Qt::StringLiterals;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QCoreApplication::setOrganizationName("Scribbles"_L1);
    QCoreApplication::setApplicationName("Scribbles"_L1);
    QCoreApplication::setApplicationVersion("0.1"_L1);

    QCommandLineParser parser;
    parser.setApplicationDescription(QApplication::translate("main",
                                                     "A note taking and sketching app"));
    parser.addHelpOption();
    parser.addVersionOption();
    parser.addPositionalArgument("File"_L1, QApplication::translate("main",
                                                                    "A Scribbles file to open"));
    parser.process(app);

    const QStringList &positionalArguments = parser.positionalArguments();
    const QString &fileName = (positionalArguments.count() > 0) ? positionalArguments.at(0)
                                                                : QString();

    MainWindow w;
    w.show();
    if (!fileName.isEmpty())
    {
        w.openFile(fileName);
    }
        
    return app.exec();
}